nav {
    background-color: #563d7c;
    color: #fff;
    padding: 30px 60px;
    display: flex;
    justify-content: space-between;
}

nav ul {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

nav li {
    list-style: none;
}

nav li a {
    color: #fff;
    text-decoration: none;
    font-weight: bold;
    padding: 5px 8px;
}

nav li a:hover {
    color: yellow;
    text-decoration: none;
}

.avatar-ctn {
    background-color: orange;
    text-align: center;
}

.avatar {
    width: 65%;
    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
}


/* #content-frame {
    position: relative;
    width: 100vw;
    height: 80vh;
} */

#content-frame {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: 0;
}

#content-frame-interactive {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: 1;
}

body {
    font-family: roboto;
}

.body-login-container {
    margin: auto;
    z-index: 1500;
}

@font-face {
    font-family: roboto;
    src: url('/fonts/Roboto-Medium.ttf');
}

@font-face {
    font-family: RobotoReg;
    src: url(/fonts/Roboto-Regular.ttf);
}

@font-face {
    font-family: RobotoBold;
    src: url(/fonts/Roboto-Bold.ttf);
}

@font-face {
    font-family: RobotoLight;
    src: url(/fonts/Roboto-Light.ttf);
}

.ratio-login-container {
    background: rgba(0, 0, 0, 0);
    font-family: roboto;
    width: 100vw;
    height: 56.25vw;
    /* 100/56.25 = 1.778 */
    max-height: 100vh;
    max-width: 177.78vh;
    /* 16/9 = 1.778 */
    margin: auto;
    position: absolute;
    top: 0;
    bottom: 0;
    /* vertical center */
    left: 0;
    right: 0;
    /* horizontal center */
    z-index: 1;
    /*     border-style: solid;
  border-color: red; */
}

.ratio-class-container {
    font-family: roboto;
    width: 100vw;
    height: 56.25vw;
    /* 100/56.25 = 1.778 */
    max-height: 100vh;
    max-width: 177.78vh;
    /* 16/9 = 1.778 */
    margin: auto;
    position: absolute;
    top: 0px;
    bottom: 0;
    /* vertical center */
    left: 0;
    right: 0;
    /* horizontal center */
    /*     border-style: solid;
  border-color: red; */
}

.stage-button-list {
    position: absolute;
    bottom: 0px;
    z-index: 1;
    display: none;
}

.agora-video-frame {
    position: absolute;
    top: 0px;
    left: 0px;
    border: 1px solid black;
    padding: 10.5px;
    width: 220px;
    height: 135px;
    background-color: rgba(0, 0, 0, 0.4);
}

.agora-video-teacher-frame {
    position: absolute;
    top: 0px;
    left: 5%;
    border: 0px solid black;
    padding: 10.5px;
    width: 220px;
    height: 135px;
    background-color: rgba(0, 0, 0, 0.4);
}

#register-container {
    background: rgba(0, 0, 0, 0);
    border: none;
    outline: none;
    position: absolute;
    left: 50%;
    top: 30%;
    transform: translate(-50%, 0%);
    /*     max-width: 40%; */
    width: 40%;
    height: 53%;
    line-height: 5%;
    /*     display: flex; */
    /*     visibility: visible; */
}

#login-container {
    background: rgba(0, 0, 0, 0);
    /* background-color: #563d7c;*/
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -25%);
    /*     max-width: 40%; */
    width: 28%;
    height: 35%;
    /*line-height: 5%;*/
    /*     display: flex; */
    /*     visibility: visible; */
}

#register-input-div {
    background: rgba(202, 202, 202);
    border: none;
    outline: none;
    position: absolute;
    padding-top: 2%;
    left: 50%;
    top: 0%;
    transform: translate(-50%, 0%);
    /*     max-width: 40%; */
    width: 100%;
    height: 100%;
    line-height: 5%;
    border-radius: 20px;
    /*     display: flex; */
    /*     visibility: visible; */
}

#login-container-input-div {
    padding-top: 2%;
    border-radius: 20px;
    height: 60%;
    /*     display: flex; */
    /*     visibility: visible; */
}

.register-input {
    /*     background: rgba(0, 0, 0, 0); */
    /*     border: none; */
    /*     outline: none; */
    position: relative;
    background-color: white;
    /*     max-width: 40%; */
    width: 85%;
    height: 10%;
    padding-left: 30px;
    margin: 3% 0;
    margin-bottom: 0%;
    left: 50%;
    top: 0%;
    font-size: 2vh;
    transform: translate(-50%, 0%);
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 30px;
    font-size: 1vw;
    /*     visibility: visible; */
}

.login-input {
    /*     background: rgba(0, 0, 0, 0); */
    /*     border: none; */
    /*     outline: none; */
    position: relative;
    background-color: white;
    /*     max-width: 40%; */
    width: 85%;
    padding-left: 30px;
    margin: 15px 0;
    margin-bottom: 2%;
    left: 50%;
    top: 0%;
    font-size: 2vh;
    transform: translate(-50%, 0%);
    box-sizing: border-box;
    border: 2px;
    border-radius: 30px;
    height: 29%;
    font-size: 1vw;
    /*     visibility: visible; */
}

.login-label {
    /*     background: rgba(0, 0, 0, 0); */
    /*     border: none; */
    /*     outline: none; */
    position: relative;
    text-align: center;
    color: white;
    align-items: center;
    display: inline-block;
    left: 50%;
    top: 0%;
    font-size: 2vh;
    transform: translate(-50%, 0%);
    width: 50%;
    /*     max-width: 40%; */
    /*     width: 100%; */
    /*     visibility: visible; */
}

.error-label {
    /*     background: rgba(0, 0, 0, 0); */
    /*     border: none; */
    /*     outline: none; */
    position: relative;
    text-align: center;
    color: red;
    align-items: center;
    display: inline-block;
    left: 50%;
    top: 0%;
    font-size: 2vh;
    transform: translate(-50%, 0%);
    width: 50%;
    margin-bottom: 5%;
    /*     max-width: 40%; */
    /*     width: 100%; */
    /*     visibility: visible; */
}

.register-form-policy {
    /*     background: rgba(0, 0, 0, 0); */
    /*     border: none; */
    /*     outline: none; */
    position: absolute;
    text-align: center;
    color: rgb(30, 30, 30);
    align-items: center;
    /*     display: inline-block; */
    left: 50%;
    top: 92%;
    font-size: 1vw;
    font-family: RobotoBold;
    transform: translate(-50%, 0%);
    width: 100%;
    height: 40%;
    /*     max-width: 40%; */
    /*     width: 100%; */
    /*     visibility: visible; */
}

.form-policy {
    position: absolute;
    text-align: center;
    color: white;
    align-items: center;
    /*     display: inline-block; */
    left: 50%;
    top: 55%;
    font-size: 1vw;
    transform: translate(-50%, 0%);
    width: 100%;
    height: 4%;
}

.form-policy2 {
    position: absolute;
    /* background-color: #563d7c;*/
    left: 50%;
    top: 50%;
    width: 99%;
    height: 5%;
    text-align: center;
    font-style: italic;
    font-size: 0.90vw;
    font-family: RobotoBold;
    color: rgb(30, 30, 30);
    transform: translate(-50%, 40%);
}

.signup-button {
    display: block;
    background-color: #f5772a;
    color: #fff;
    padding: 0;
    font-size: 1.5vw;
    border-radius: 2vw;
    width: 40%;
    height: 12%;
    cursor: pointer;
    margin: 0;
    position: absolute;
    bottom: -18%;
    left: 50%;
    -ms-transform: translate(-50%, 0%);
    transform: translate(-50%, 0%);
}

.signin-button {
    display: block;
    horizontal-align: middle;
    background-color: #f5772a;
    color: #fff;
    padding: 2% 0;
    font-size: 1.5vw;
    border-radius: 30px;
    width: 52%;
    height: 18%;
    cursor: pointer;
    margin: 0;
    position: absolute;
    bottom: 8%;
    left: 50%;
    -ms-transform: translate(-50%, 0%);
    transform: translate(-50%, 0%);
}

.header-container {
    background: rgba(128, 128, 128, 0);
    color: white;
    border: none;
    outline: none;
    position: absolute;
    left: 50%;
    top: 12%;
    transform: translate(-50%, -10%);
    /*     max-width: 40%; */
    width: 100%;
    height: 50%;
    /*     display: flex; */
    /*     visibility: visible; */
}

.header-topic {
    /*     background: rgba(0, 0, 0, 0); */
    /*     border: none; */
    /*     outline: none; */
    position: absolute;
    text-align: center;
    color: #f5772a;
    /*     display: inline-block; */
    left: 50%;
    top: 15%;
    font-size: 5vw;
    transform: translate(-50%, -50%);
    white-space: nowrap;
    /*     max-width: 40%; */
    /*     width: 100%; */
    /*     visibility: visible; */
}

.header-content {
    /*     background: rgba(0, 0, 0, 0); */
    /*     border: none; */
    /*     outline: none; */
    position: relative;
    text-align: center;
    color: white;
    align-items: center;
    /*     display: inline-block; */
    left: 50%;
    top: 30%;
    font-size: 3vh;
    transform: translate(-50%, 0%);
    width: 100%;
    height: 12%;
    /*     max-width: 40%; */
    /*     width: 100%; */
    /*     visibility: visible; */
}

.header-version {
    /*     background: rgba(0, 0, 0, 0); */
    /*     border: none; */
    /*     outline: none; */
    position: relative;
    text-align: center;
    color: white;
    align-items: center;
    /*     display: inline-block; */
    left: 50%;
    top: 30%;
    font-size: 1.9vh;
    transform: translate(-50%, 0%);
    width: 100%;
    height: 40%;
    /*     max-width: 40%; */
    /*     width: 100%; */
    /*     visibility: visible; */
}

.header-desc {
    /*     background: rgba(0, 0, 0, 0); */
    /*     border: none; */
    /*     outline: none; */
    position: relative;
    text-align: center;
    color: #c9c9c9;
    align-items: center;
    /*     display: inline-block; */
    left: 50%;
    top: 20%;
    font-size: 3vw;
    transform: translate(-50%, 0%);
    width: 100%;
    height: 20%;
    /*     max-width: 40%; */
    /*     width: 100%; */
    /*     visibility: visible; */
}

.footer-container {
    background: rgba(128, 128, 128, 0);
    color: white;
    border: none;
    outline: none;
    position: absolute;
    left: 50%;
    top: 84%;
    transform: translate(-50%, 90%);
    /*     max-width: 40%; */
    width: 50%;
    height: 8%;
    line-height: 5%;
    /*     display: flex; */
    /*     visibility: visible; */
}

.footer-policy {
    /*     background: rgba(0, 0, 0, 0); */
    /*     border: none; */
    /*     outline: none; */
    position: relative;
    text-align: center;
    color: white;
    align-items: center;
    /*     display: inline-block; */
    left: 50%;
    top: 30%;
    font-size: 1.9vh;
    transform: translate(-50%, 0%);
    width: 100%;
    height: 40%;
    /*     max-width: 40%; */
    /*     width: 100%; */
    /*     visibility: visible; */
}

.footer-copyright {
    /*     background: rgba(0, 0, 0, 0); */
    /*     border: none; */
    /*     outline: none; */
    position: relative;
    text-align: center;
    color: white;
    align-items: center;
    /*     display: inline-block; */
    left: 50%;
    top: 30%;
    font-size: 1.9vh;
    transform: translate(-50%, 0%);
    width: 100%;
    height: 40%;
    /*     max-width: 40%; */
    /*     width: 100%; */
    /*     visibility: visible; */
}

.photo-select-container {
    background: rgba(0, 0, 0, 0);
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -45%);
    /*     max-width: 40%; */
    width: 100%;
    height: 30%;
    line-height: 5%;
    /*     display: flex; */
    /*     visibility: visible; */
}

.photo-frame {
    background: rgba(0, 0, 0, 0.4);
    position: absolute;
    left: 50%;
    top: 50%;
    border-radius: 50%;
    border: 6px solid red;
    transform: translate(-50%, -50%);
    /*     max-width: 40%; */
    width: 16%;
    height: 94%;
}

.photo-button-container {
    background: rgba(0, 0, 0, 0);
    border: none;
    outline: none;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, 70%);
    /*     max-width: 40%; */
    width: 20%;
    height: 25%;
    line-height: 5%;
    /*     display: flex; */
    /*     visibility: visible; */
}

.take-photo-button {
    position: absolute;
    left: 0%;
    top: 10%;
    transform: translate(-50%, 0%);
    /*     max-width: 40%; */
    width: 75%;
    height: 25%;
    border-radius: 40px;
    line-height: 5%;
    font-size: 2vh;
}

.submit-button {
    position: absolute;
    left: 50%;
    top: 90%;
    transform: translate(-50%, 0%);
    /*     max-width: 40%; */
    width: 75%;
    height: 25%;
    border-radius: 40px;
    line-height: 5%;
    font-size: 2vh;
}

.skip-button {
    position: absolute;
    left: 50%;
    top: 90%;
    transform: translate(-50%, 0%);
    /*     max-width: 40%; */
    width: 75%;
    height: 25%;
    border-radius: 40px;
    line-height: 5%;
    font-size: 2vh;
}

.take-photo-label {
    /* background: rgba(255, 255, 255, 1); */
    position: absolute;
    left: 52%;
    top: 20%;
    transform: translate(-50%, 0%);
    /*     max-width: 40%; */
    width: 15%;
    height: 25%;
    line-height: 5%;
    font-size: 3vh;
}

.pick-avatar-button {
    position: absolute;
    left: 100%;
    top: 10%;
    transform: translate(-50%, 0%);
    /*     max-width: 40%; */
    width: 75%;
    height: 25%;
    border-radius: 40px;
    line-height: 5%;
    font-size: 2vh;
}

.teacher-toolbar {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 5%;
    height: 100%;
    background-color: rgb(65, 65, 65);
    z-index: 0;
}

.teacher-video-controls {
    position: absolute;
    left: 10%;
    top: 5%;
    width: 80%;
    height: 17%;
    border: 2px solid rgb(189, 189, 189);
    border-radius: 40px;
}

.teacher-menu-container {
    position: absolute;
    background-color: sandybrown;
    width: 100px;
    height: 400px;
    left: 100px;
}

.teacher-menu-button {
    position: absolute;
    width: 80%;
    height: auto;
    left: 10%;
    cursor: pointer;
}

.video-controls-halfbar {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    height: 1px;
    border: 1px solid rgb(189, 189, 189);
}

.teacher-audio-button {
    position: absolute;
    left: 0%;
    top: 5%;
    width: 100%;
    height: auto;
    border-radius: 50%;
    cursor: pointer;
}

.teacher-video-button {
    position: absolute;
    left: 0%;
    bottom: 5%;
    width: 100%;
    height: auto;
    border-radius: 50%;
    cursor: pointer;
}

#chat-educator-frame {
    position: absolute;
    background-color: white;
    left: 5%;
    width: 95%;
    height: 100%;
    visibility: hidden;
}

#grouping-frame {
    position: absolute;
    background-color: white;
    left: 5%;
    width: 95%;
    height: 100%;
    display: none;
}

.forgot-password {
    position: absolute;
    left: 50%;
    top: 97%;
    font-family: RobotoLight;
    font-size: 0.8vw;
    transform: translate(-50%, -50%);
}

.reset-password {
    position: absolute;
    color: gray;
    left: 50%;
    top: 37%;
    font-family: RobotoBold;
    font-size: 2vw;
    transform: translate(-50%, -50%);
}

.arenax-logo {
    position: absolute;
    width: 20%;
    height: auto;
    left: 50%;
    top: 5%;
    transform: translate(-50%, 0);
}

.welcome-txt {
    position: absolute;
    color: gainsboro;
    left: 50%;
    top: 32%;
    transform: translate(-50%, 0);
    font-family: roboto;
    font-size: 3vw;
}

.arenax-logo-teacher {
    position: absolute;
    width: 15%;
    height: auto;
    left: 12%;
    top: 5%;
    transform: translate(-50%, 0);
}

.arenax-logo-teacher-demo{
    position: absolute;
    width: 13%;
    height: auto;
    left: 7.5%;
    top: 2%;
    transform: translate(-50%, 0);
    z-index:1;
}

.arenax-logo-teacher-demo2{
    position: absolute;
    width: 13%;
    height: auto;
    right: 2%;
    top: 2%;
    display: none;
    z-index: 1;
}

.half-circle-demo-bg{
    position: absolute;
    width: 30%;
    height: auto;
    left: 50%;
    top: -1%;
    transform: translate(-50%,0);
    z-index: 1;
}

.process-clue-demo-btn{
    position: absolute;
    width: 15%;
    height: auto;
    right: 2%;
    bottom: 5%;
    z-index: 1;
}

.return-explore-demo-btn{
    position: absolute;
    width: 15%;
    height: auto;
    left: 2%;
    bottom: 5%;
    z-index: 1;
    display: none;
}